/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.dhcp.parser
 * File:    LeaseManager.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.dhcp.parser;

import java.util.ArrayList;

import de.fhhannover.inform.iron.dhcp.control.Config;
/**
 * The Lease-Manager administrates the parser
 * @author Tobias
 *
 */
public class LeaseManager {
 
	private static String path;
	private static LeaseParser parser = new LeaseParser(LeaseParser.getFile(Config.DHCPD_LEASES_PATH));
	
	/**
	 * Get new Leases
	 * @return Eine Liste mit Lease-Objekten
	 */
	public static ArrayList<Lease> getLeases() {	
		LeaseParser.ReInit(LeaseParser.getFile(Config.DHCPD_LEASES_PATH));
		return parser.parseFile();
	}
	 
	/**
	 * Sets the path to the Leases File
	 * @param p
	 */
	public static void setPath(String p) {
		path = p;
	}
	
	/**
	 * Gets the path to the Leases file
	 * @return
	 */
	public static String getPath() {
		return path;
	}
	
	/**
	 * For future work:
	 * Merges Leases and the global options from the dhcp-server
	 * @param leases
	 * @param options
	 * 
	 * @todo
	 */
	private static void mergeLeasesAndOptions(ArrayList<Lease> leases, ArrayList<Option> options) {
	 
	}	 
}